## Fetch complete analytics data for your livestreams `client.realtimeKit.livestreams.getLivestreamAnalyticsComplete(stringappId, LivestreamGetLivestreamAnalyticsCompleteParamsparams, RequestOptionsoptions?): LivestreamGetLivestreamAnalyticsCompleteResponse` **get** `/accounts/{account_id}/realtime/kit/{app_id}/analytics/livestreams/overall` Returns livestream analytics for the specified time range. ### Parameters - `appId: string` The app identifier tag. - `params: LivestreamGetLivestreamAnalyticsCompleteParams` - `account_id: string` Path param: The account identifier tag. - `end_time?: string` Query param: Specify the end time range in ISO format to access the livestream analytics. - `start_time?: string` Query param: Specify the start time range in ISO format to access the livestream analytics. ### Returns - `LivestreamGetLivestreamAnalyticsCompleteResponse` - `data?: Data` - `count?: number` Count of total livestreams. - `total_ingest_seconds?: number` Total time duration for which the input was given or the meeting was streamed. - `total_viewer_seconds?: number` Total view time for which the viewers watched the stream. - `success?: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.realtimeKit.livestreams.getLivestreamAnalyticsComplete('app_id', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.data); ``` #### Response ```json { "data": { "count": 0, "total_ingest_seconds": 0, "total_viewer_seconds": 0 }, "success": true } ```